Manova Developers

Get a conversation

GET
/conversations/{id}

One conversation with its messages, oldest first.

Authorization

token
headerAuthorizationBearer <manova_...>

An API token from the panel's «دسترسی API» page: manova_ and 64 hex characters, valid for 90 days.

Path Parameters

id*string

Response Body

application/json
  1. response
id*string
title*string
createdAt*string|null
updatedAt*string|null
lastMessagePreview*string|null
projectId*string|null
agentId*string|null
isPinned*boolean
createdByUserId*integer|null
messages*array<>
Example Request
curl -X GET 'https://manova.ir/api/v1/external/conversations/string'
Example Response
{  "id": "string",  "title": "string",  "createdAt": "string",  "updatedAt": "string",  "lastMessagePreview": "string",  "projectId": "string",  "agentId": "string",  "isPinned": true,  "createdByUserId": 0,  "messages": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "conversationId": "ee6e55e8-45fe-4a3e-9bc8-4669f9fdf77a",      "role": "user",      "content": [        {          "type": "text",          "text": "string"        }      ],      "status": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}